配置选项整理
----------
log_root                string()              "/var/log"          可选的日志路径， 默认情况下是当前路径
handlers                [{Name, [Optins]}]=Handler()  {lager_file_backend, [{file, "console.log"}, {level, info}]} 消息处理模块可以存在多个
larger_extra_sikns      [atom()]              [audit]              额外的接收器名字列表
extra_sinks             [{handler, [Handler()]}]                   额外的接收器列表 
async_threshold         integer()|undefined   20                   异步消息最大数 如果为undefiend禁用异步消息
async_threshold_window  integer()             5                    这将使用异步消息传递，直到邮箱超过20条消息为止，此时将使用同步消息传递，并在大小减小为时切换回异步20 - 5 = 15。
error_logger_hwm        integer()             50                   限制每秒允许的消息数量 最好将此数字保持较小   

flush_queue              boolean()            true                  对于特定的接收器事件队列刷新，请使用改选项
flush_threshold          integer()            1000                  对于接收器 如果flush_queue为true，则可以设置消息队列长度阈值，在该阈值处将开始丢弃消息。默认阈值为0，这意味着如果flush_queue为true，则超过高水位标记时将丢弃消息，而不管消息队列的长度如何。：        
error_logger_flush_queue boolean()            true                  超过高水位标记时，可以将啤酒配置为刷新消息队列中的所有事件通知  
error_logger_flush_threshold integer()        20                    如果flush_queue为true，则可以设置消息队列长度阈值，在该阈值处将开始丢弃消息。默认阈值为0，这意味着如果flush_queue为true，则超过高水位标记时将丢弃消息，而不管消息队列的长度如何。用于控制阈值的选项是error_logger：
error_logger_redirect   boolean()             false                 禁用错误记录器集成
error_logger_whitelist  list()                [one_handler]         列表中的handler 不会处理error_logger

crash_log_msg_size      integer()              5000                 指定崩溃日志最大的消息大小

killer_hwm              integer()              1000                  如果接收器的邮箱大小超过1000条消息，请杀死整个接收器并在5000毫秒后重新加载它。如果需要，此行为也可以安装到其他水槽中。
killer_reinstall_after  integer()              5000                  参见killer_hwm        


colored                 boolean()               true                是否开启颜色

如果您不想在应用程序的调试级别看到主管和应用程序启动/停止日志，则可以使用以下配置将其关闭：

suppress_application_start_stop，true}，
suppress_supervisor_start_stop，true}]}



%% 
Lager默认将消息截断为4096字节，您可以使用该{lager_truncation_size, X}选项进行更改。在钢筋中，您可以将其添加到 erl_opts：

{ erl_opts，[{ parse_transform，lager_transform }，{ lager_truncation_size，1024 }]}。
erlc如果您愿意，也可以将其传递给，

erlc -pa lager/ebin +'{parse_transform, lager_transform}' +'{lager_truncation_size, 1024}' file.erl


    

